NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::OffsetCollection Class Reference

Represents a collection of NXOpen::Offset . More...

Inheritance diagram for NXOpen::OffsetCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::OffsetCreateCurvature (NXOpen::ICurve *icurve, NXOpen::Scalar *t, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Scalar representing the t parameter. More...
 
NXOpen::OffsetCreateCurvature (NXOpen::Point *atPoint, NXOpen::ICurve *icurve, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Point . More...
 
NXOpen::OffsetCreateCurvature (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Offset::OnFaceOption option, NXOpen::Direction *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters with option of direction on the face. More...
 
NXOpen::OffsetCreateCurvature (NXOpen::Point *atPoint, NXOpen::Face *face, NXOpen::Offset::OnFaceOption option, NXOpen::SmartObject *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::Face using a NXOpen::Point . More...
 
NXOpen::OffsetCreateCurvature (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Scalar *sectionAngle, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a sectional NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters and a NXOpen::Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. More...
 
NXOpen::OffsetCreateCurvatureDerivative (NXOpen::ICurve *icurve, NXOpen::Scalar *t, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Scalar representing the t parameter. More...
 
NXOpen::OffsetCreateCurvatureDerivative (NXOpen::Point *atPoint, NXOpen::ICurve *icurve, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Point . More...
 
NXOpen::OffsetCreateCurvatureDerivative (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Offset::OnFaceOption option, NXOpen::Direction *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters with option of direction on the face. More...
 
NXOpen::OffsetCreateCurvatureDerivative (NXOpen::Point *atPoint, NXOpen::Face *face, NXOpen::Offset::OnFaceOption option, NXOpen::SmartObject *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset on a NXOpen::Face using a NXOpen::Point . More...
 
NXOpen::OffsetCreateCurvatureDerivative (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Scalar *sectionAngle, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a sectional NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters and a NXOpen::Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. More...
 
NXOpen::OffsetCreateOffset (const NXOpen::Point3d &origin, const NXOpen::Vector3d &vector, NXOpen::SmartObject::UpdateOption updateOption)
 Create an NXOpen::Offset without parameters. More...
 
NXOpen::OffsetCreateOffset (NXOpen::Direction *direction, NXOpen::Scalar *distance, NXOpen::SmartObject::UpdateOption updateOption)
 Creates an NXOpen::Offset using a Smart NXOpen::Direction and distance. More...
 
NXOpen::OffsetCreateOffset (NXOpen::Offset *offsetIn, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Offset via an extract NXOpen::Offset with optional transformation. More...
 
NXOpen::OffsetCreateOffsetCylindrical (NXOpen::Scalar *radius, NXOpen::Scalar *angle, NXOpen::Scalar *deltaZ, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a smart cylindrical NXOpen::Offset . More...
 
NXOpen::OffsetCreateOffsetRectangular (NXOpen::Scalar *deltaX, NXOpen::Scalar *deltaY, NXOpen::Scalar *deltaZ, NXOpen::SmartObject::UpdateOption updateOption)
 Create an NXOpen::Offset using X, Y and Z deltas. More...
 
NXOpen::OffsetCreateOffsetSpherical (NXOpen::Scalar *radius, NXOpen::Scalar *angle1, NXOpen::Scalar *angle2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a smart spherical NXOpen::Offset . More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Offset .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen::Offset is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. Condemned objects will be deleted when their references go away.
To obtain an instance of this class, refer to NXOpen::BasePart

Created in NX3.0.0.

Member Function Documentation

iterator NXOpen::OffsetCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature ( NXOpen::ICurve icurve,
NXOpen::Scalar t,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Scalar representing the t parameter.

The Offset created represents curvature of the curve at parameter t.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
icurveNXOpen::Curve or NXOpen::Edge
tt
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature ( NXOpen::Point atPoint,
NXOpen::ICurve icurve,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Point .

The Offset created represents curvature of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature at the projected location.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
icurveOptional NXOpen::Curve or NXOpen::Edge input
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Offset::OnFaceOption  option,
NXOpen::Direction sectionDirection,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters with option of direction on the face.

The Offset created represents the curvature of the face at u and v parameter in a direction specified by the option.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
optionoption
sectionDirectionnecessary when option is NXOpen::Offset::OnFaceOptionSection
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature ( NXOpen::Point atPoint,
NXOpen::Face face,
NXOpen::Offset::OnFaceOption  option,
NXOpen::SmartObject sectionDirection,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::Face using a NXOpen::Point .

The Offset created represents the curvature of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature at the projected location.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
optionoption
sectionDirectionAn object of type NXOpen::Direction or NXOpen::Scalar and is necessary when option is NXOpen::Offset::OnFaceOptionSection
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Scalar sectionAngle,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a sectional NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters and a NXOpen::Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

The Offset created represents the curvature of the face at u and v parameter in the sectional direction.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
sectionAnglemeasured in degree
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative ( NXOpen::ICurve icurve,
NXOpen::Scalar t,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Scalar representing the t parameter.

The Offset created represents curvature derivative of the curve at parameter t.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
icurveNXOpen::Curve or NXOpen::Edge
tt
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative ( NXOpen::Point atPoint,
NXOpen::ICurve icurve,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::ICurve using a NXOpen::Point .

The Offset created represents curvature derivative of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature derivative at the projected location.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
icurveOptional NXOpen::Curve or NXOpen::Edge input
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Offset::OnFaceOption  option,
NXOpen::Direction sectionDirection,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters with option of direction on the face.

The Offset created represents the curvature derivative of the face at u and v parameter in a direction specified by the option.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
optionoption
sectionDirectionnecessary when option is NXOpen::Offset::OnFaceOptionSection
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative ( NXOpen::Point atPoint,
NXOpen::Face face,
NXOpen::Offset::OnFaceOption  option,
NXOpen::SmartObject sectionDirection,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset on a NXOpen::Face using a NXOpen::Point .

The Offset created represents the curvature derivative of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature derivative at the projected location.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
optionoption
sectionDirectionAn object of type NXOpen::Direction or NXOpen::Scalar and is necessary when option is NXOpen::Offset::OnFaceOptionSection
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Scalar sectionAngle,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a sectional NXOpen::Offset on a NXOpen::Face using two NXOpen::Scalar s representing the u and v parameters and a NXOpen::Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

The Offset created represents the curvature derivative of the face at u and v parameter in the sectional direction.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
sectionAnglemeasured in degree
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset ( const NXOpen::Point3d origin,
const NXOpen::Vector3d vector,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Create an NXOpen::Offset without parameters.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
originPoint of Offset
vectorOffset vector
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset ( NXOpen::Direction direction,
NXOpen::Scalar distance,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates an NXOpen::Offset using a Smart NXOpen::Direction and distance.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
directiondirection
distanceDistance along direction
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset ( NXOpen::Offset offsetIn,
NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Offset via an extract NXOpen::Offset with optional transformation.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
offsetInOffset extract
xformOptional transformation
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetCylindrical ( NXOpen::Scalar radius,
NXOpen::Scalar angle,
NXOpen::Scalar deltaZ,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a smart cylindrical NXOpen::Offset .

The radius, angle, and zdelta are the three parameters of cylindrical coordinates.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
radiusradius
angleAngle in radians
deltaZDelta along axis of cylinder
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetRectangular ( NXOpen::Scalar deltaX,
NXOpen::Scalar deltaY,
NXOpen::Scalar deltaZ,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Create an NXOpen::Offset using X, Y and Z deltas.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
deltaXdelta x
deltaYdelta y
deltaZdelta z
updateOptionupdate option
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetSpherical ( NXOpen::Scalar radius,
NXOpen::Scalar angle1,
NXOpen::Scalar angle2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a smart spherical NXOpen::Offset .

The radius, angle1, and angle2 are the three parameters of spherical coordinates.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
radiusradius
angle1Longitude angle in radians
angle2Colatitude angle in radians
updateOptionupdate option
iterator NXOpen::OffsetCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::OffsetCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.